List issues
curl --request GET \
--url https://app.ilitylabs.com/v1/issues \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ilitylabs.com/v1/issues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/issues"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"fingerprint": "<string>",
"rule_id": "<string>",
"rule_name": "<string>",
"rule_description": "<string>",
"severity": "critical",
"status": "open",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_slug": "<string>",
"domain_name": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"surface_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_url": "<string>",
"external_url": "<string>",
"external_provider": "github",
"external_ref": "<string>",
"external_key": "<string>",
"external_linked_at": "2023-11-07T05:31:56Z",
"instance_count": 123,
"page_count": 123,
"representative_instance": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page_url": "<string>",
"selector": "<string>",
"frame_origin": "<string>"
},
"embed_origin": "<string>",
"on_priority_page": true,
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"wcag_criteria": [
"<string>"
],
"assignee": {
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"avatar_url": "<string>"
},
"comment_count": 123,
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
]
}
],
"total": 123
}{
"detail": "<string>",
"reason": "<string>"
}Issues
List issues
Lists issues across the workspace. Without a status filter, only open issues are returned. Paginate with page and limit; total counts every match.
GET
/
v1
/
issues
List issues
curl --request GET \
--url https://app.ilitylabs.com/v1/issues \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ilitylabs.com/v1/issues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/issues"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"fingerprint": "<string>",
"rule_id": "<string>",
"rule_name": "<string>",
"rule_description": "<string>",
"severity": "critical",
"status": "open",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_slug": "<string>",
"domain_name": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"surface_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_url": "<string>",
"external_url": "<string>",
"external_provider": "github",
"external_ref": "<string>",
"external_key": "<string>",
"external_linked_at": "2023-11-07T05:31:56Z",
"instance_count": 123,
"page_count": 123,
"representative_instance": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page_url": "<string>",
"selector": "<string>",
"frame_origin": "<string>"
},
"embed_origin": "<string>",
"on_priority_page": true,
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"wcag_criteria": [
"<string>"
],
"assignee": {
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"avatar_url": "<string>"
},
"comment_count": 123,
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
]
}
],
"total": 123
}{
"detail": "<string>",
"reason": "<string>"
}